Ubuntu

Unable to print with Lexmark S400 series since upgrade to 11.10

Reported by MrLeek on 2011-12-10
58
This bug affects 12 people
Affects Status Importance Assigned to Milestone
cups (Ubuntu)
High
Unassigned
Precise
High
Unassigned

Bug Description

Following the upgrade from 11.04 to 11.10 my Lexmark S405 now is unable to print.

After removing all previous drivers (i.e. from a clean install of the printer), I have two options to proceed:

If I connect the printer via USB and wait for "auto-detection", the system is able to determine that a Lexmark S405 has been added (and adds the printer as a "S300-S400-Series". However at the same time I get the following error message:

"Not supported by this backend.
The action is not supported by this backend. Please report a bug as this should not have happened. Provided postscript-driver not supported"

The printer is added and does show up in CUPS. The device URI is given as: "://Lexmark/S300-S400%20Series?serial=90T409817388744&interface=1". Previously two packages were also added via the Software Centre ( "lexmark-legacy-wsu (1.0-1)" and "lexmark-inkjet-legacy-wjre (1.0-1)" but my most recent attempt to rectify this fault was following updates to fix bug 897309. On this occasion (following the updated ghostscript) no software was added via the Software Centre.

I also have the drivers from Lexmark (the second install option). These drivers will install (but if they detect either of the above mentioned packages then installation will fail) but, once you are prompted to connect the printer via USB the error message highlighted above also appears. The results from this approach is that two printers are installed...but neither of them work.

Either method of installing the printer results in the same scenario - the printer is listed as "installed", but items in the print queue remain there without no response from the printer. A Test Page shows the printer as "Processing page 1" before eventually throwing an error.

Incidentally it is possible to scan from the printer (it's an all-in-one printer) into Ubuntu, but it seems to be impossible to print out from Ubuntu. Also previous work suggested that this may be connected to bug 883585. Also, despite CUPS referring to itself as 1.5, the intro screen says "what's new in CUPS 1.4". The printer does show up in CUPS, but it seems to be impossible to carry out any maintenance on the printer within CUPS (but this may be my "newbie-ness" showing though).

My first bug report so hope I've included everything!

MrLeek (mrleek) wrote :

Cups error log (hopefully useful!)

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/902535/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → cups (Ubuntu)

First, make sure that your system is completely updated and that kernel version 3.0.0-13 or newer is booted (Run "uname -a" to check the kernel version).

Can you go to

https://wiki.ubuntu.com/DebuggingPrintingProblems

and follow the instructions of the section "USB printer" and for each driver/printer setup method which you have unsuccessfully tried the instructions of the sections "CUPS error_log" and "Capturing print job data"? Thanks.

Please attach the files one by one, do not compress them and do not package them together.

Changed in cups (Ubuntu):
status: New → Incomplete
MrLeek (mrleek) wrote :

First up:

Linux chris-Unbutu 3.0.0-14-generic #23-Ubuntu SMP Mon Nov 21 20:28:43 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Secondly....note that I'm a newbie (but I know enough to get buy) - multiple attachments incoming!

MrLeek (mrleek) wrote :
MrLeek (mrleek) wrote :
MrLeek (mrleek) wrote :
MrLeek (mrleek) wrote :
MrLeek (mrleek) wrote :
MrLeek (mrleek) wrote :
MrLeek (mrleek) wrote :

This is the file I used to capture the print job data (this is job 62). Simple text file created in LibreOffice Writer and is a copy/paste of the logs previously posted (apart from the cups error log).

MrLeek (mrleek) wrote :

This is the output captured from the CUPS spool directory - it is being sent as a pdf (version 1.4) and the document appears to be complete with no errors (aside from not actually printing out!)

Think that's the lot - shout if I've missed anything or can clarify any detail

MrLeek (mrleek) wrote :

I've also attempted a simple printout via gedit (capturing the print job data as before). The exact same fault occurs - file is being put into the CUPS spool directory as a PDF (this time version 1.5) and is complete with no errors visible. Can attach more details on this on request

Can you also attach your /etc/cups/ppd/S300-S400-Series.ppd file? Thanks.

MrLeek (mrleek) wrote :

As requested

Can you clone your print queue to a second one printing to a file by the following commands in a terminal window:

cupsctl FileDevice=yes
lpadmin -p S300-S400-Series-file -E -v file:/tmp/printout -P /etc/cups/ppd/S300-S400-Series.ppd

Print a file into this queue which fails printing on the original queue. Does the job finish without any errors? Does the file /tmp/printout get a reasonable size? If it fails do the job again capturing the print job data and also attach error_log.

Run the command

sudo chmod 777 /tmp/printout

Print the file into the original print queue without any further filtering:

lpr -P S300-S400-Series -o raw /tmp/printout

Does this work? If not, attach /tmp/printout and error_log.

MrLeek (mrleek) wrote :

Started trying to do this (I'm assuming the "lpadmin" command effectively adds an additional printer) - printed off to this new printer and visually the error is exactly the same. I could find no trace of /tmp/printout following this attempt. That may be useful or not - or is that my lack of knowledge showing though? Device URI is given as "file:/tmp/printer"

Will work through this properly tomorrow using a larger file to make the file size comparison between the original and /tmp/printout more realistic. But if I'm doing something dumb then now is the time to say! :)

Did you run the command

cupsctl FileDevice=yes

before running the "lpadmin" command? Did the "lpadmin" command run without errors? Is there enough space on your disk so that /tmp/printout can get created?

Can you attach the captured print data and the error_log of your attempt to print to the new print queue?

MrLeek (mrleek) wrote :

Notes taken as I ran this (and hopefully I'm covering all the bases here):

No error message when lpadmin command issued. GUI “adds” a new printer. Obviously a user error last night when I tried to do this.

Document “sits” in processing queue and displays the same error as before, but I also get a lexmark-specific error message. Provided a link to file:///usr/local/lexmark/legacy/docs/help/umf/en/printer_communication_error.html to help fix the problem. Otherwise, same as before and new GUI window offers no additional clues to the problem.

Lpr -P.....indicates “printing complete” via the GUI – but nothing actually “prints”. /tmp/printout size is “33” - but this was on a 50kb file. So far I've not been able to replicate that "printing complete" message.

Switched to larger file (4.5 mb pdf – "getting started with ubuntu 10.10") to determine file size changes. Same scenario occurs.

Enabled job print capture and attempted to print to "file" version of printer. File created within /var/spool/cups – copied and attached (warning: 4.5 mb file). Re-enable printer has no effect - “printout” file copied from cups appears to be completely normal.

/tmp/printout size is exactly the same - “33”. file date/time has updated, so this is a new file. Attached on additional posting.

Recommencing print attempt whilst logging error data (didn't want to try and do too many things at once). Same Ubuntu manual being used.

MrLeek (mrleek) wrote :

the 33 bytes sized "printout file attached here. I can confirm that this file remains the same size having tried a couple of different documents.

MrLeek (mrleek) wrote :

new cups error log when printing to S300-S400-Series-file.

Also for info these have been tried when gufw is configured. I have tried printing with the firewall turned off but to no avail - but worth mentioning just in case....!!

MrLeek (mrleek) wrote :

Finally I've tried one final time with a different file (text file at approx 130kb). It comes out of the troubleshooting guide when the printer fails to print. I've attached this (just in case there's unique information there) - the /tmp/printout file does increase in size slightly as the document sits in the print queue:

- 8 bytes: document "added" to print queue
- 25 bytes: First "lexmark-style" message informing the user that they cannot print out
- 33 bytes: Final messgae from Ubuntu informing the user that they cannot print out

Those are the sizes displayed when running a ls -l on the /tmp/printout file. I thought about trying to copy each "version" - but no idea if that granularity would actually be useful.

Think I've provided everything requested. If not just highlight what's needed and I'll get onto it.

I have checked your current files and came to the following conclusion:

The general, device-independent CUPS filters which come with Ubuntu (pdftopdf, gstoraster, ghostscript, ...) do their job of preparing and rasterizing the document for printing correctly. I have tested it by running the captured PDF files which you have attached through Ghostscript, using the command lines from your attached error_log files.

The closed-source printer driver filter supplied by Lexmark does bi-directional communication with the printer through the "usb" CUPS backend. If the driver is used with a file as output, the first bidirectional request does not get answered by the printer and the driver errors out after having sent 33 bytes of commands ("E [12/Dec/2011:19:39:27 +0000] [Job 72] Printer Error. The printer cannot communicate with the computer." in your 2nd_cups_error_log). This means that it is not possible to get the complete output of the Lexmark driver into a file to print it to the actual printer unfiltered in a separate step.

The error caused by the printer not answering as we are printing into a file:

E [12/Dec/2011:19:39:27 +0000] [Job 72] Printer Error. The printer cannot communicate with the computer.

The driver filter errored out but closed with 0 exit status and therefore CUPS does not know that there is an error:

D [12/Dec/2011:19:40:01 +0000] PID 5564 (/usr/local/lexmark/legacy/bin/printfilter) exited with no errors.

So CUPS did not kill the other filters and so gstoraster (the wrapper around Ghostscript) tries to carry on rasterizing the data and errors out because the process supposed to take its output data disappeared:

D [12/Dec/2011:19:40:01 +0000] PID 5563 (/usr/lib/cups/filter/gstoraster) stopped with status 13.

Job 61 in your first error_log also shows that the Lexmark driver exits "without errors" and after that gstoraster exits with code 13. This looks for me that the Lexmark driver prematurely closed (errored out) but again with status 0, making CUPS not cleaning up until gstoraster has no destination to send its data to any more. It seems even that the Lexmark driver tried to post an error message:

E [10/Dec/2011:20:16:51 +0000] [Job 61] (null)

This gives the impression that due to a bug in Lexmark's driver the error message does not get shown.

The problem is most probably the change in the "usb" CUPS backend from switching over from the usblp kernel module to using libusb to communicate with USB printers.

Note also that due to the bi-directional nature of the driver the printer will most probably not work if it is connected to a remote server. If the printer has a built-in network connector check the documention of the driver to know which network protocol has to be used.

MrLeek (mrleek) wrote :

I think I follow the gist of what you've typed....but there's a mass of information that I don't really understand, so you might need to pull out some key points. I mean I'm not even sure if you're say "yes, this is a bug" or "we've changed something so now your printer doesn't work....sorry"! :)

From the research I've done your comments that :

"The problem is most probably the change in the "usb" CUPS backend from switching over from the usblp kernel module to using libusb to communicate with USB printers."

seems to have cropped up on a number of occasions for a range of people. What's concerning for me as a new user (admittedly one with a reasonable level of understanding) is that these are the sort of problems that cannot appear if bug 1 is going to be fixed. The GUI even says that it's a bug and given that new users migrating from Windows could encounter such problems is a little concerning. Thinking as a "typical" Windows switcher, I plug in my printer, Unbuntu says "I can't do this - there's a bug" but then appears to add the printer just fine. From a novice viewpoint I've just "plugged it in", a weird message appears, but then my printer has been added - granted, there's drivers being added in the background, but novice users won't see it like that. They'll blame Ubuntu.

Since I know this printer can connect to an internal network I gave this a shot. I had to turn off the firewall since I couldn't even ping the printer (there's a few articles that should resolve that problem), but I was able to find the printer as a network option. Choosing that option gives me the exact same error message as that originally reported. Yet, this time I can print a test page - and I've managed to print a couple of other things off as well.

So I'm assuming that the usb changes to CUPS is now being bypassed...but I can't square that with the error message that says "it's a bug and you shouldn't be seeing this". All very confusing...

MrLeek (mrleek) wrote :

Sorry - I should add that I REALLY appreciate that you and a bunch of other people put a lot of effort into making Ubuntu such a great OS to use. My own contributions pale in significance, but I'm keen to pitch in where I can (and my contributions to https://wiki.ubuntu.com/BasicSecurity was my starting effort to help the community)

So if you think I've been unfairly critical then my sincere apologies - that wasn't my intention!

I am already considering to return to support of the usblp kernel module in the CUPS USB backend in Ubuntu. The deprecation of the module seems to be pre-mature as there is no libusb-based CUPS backend with bi-directional support. Another possibility would be to have a look into HPLIP's "hp" CUPS backend whether one could transfer bi-di libusb code into standard USB backend of CUPS.

MrLeek (mrleek) wrote :

I've noted the updated CUPS versions with the IPP backend rollback to 1.4. I'll test tonight and report back if required...

...although this bug report is still down as "incomplete". Think I can change it but that's just not in the spirit of things!

MrLeek (mrleek) wrote :

Ok at first glance the new version of CUPS doesn't fix my problem - no change to the symptoms. It may be that it requires a printer re-install, which I'll try out over the weekend and see what happens.

MrLeek, note that I did not fix this bug yet. The current CUPS update is to fix other bugs.

MrLeek (mrleek) wrote :

That's fine Till - appreciate that my problem is always going to be low priority unless others report similar issues.

Sorry for the delay bug now I have succeeded to add bi-di functionality to the libusb-based "usb" backend of CUPS. See

http://www.cups.org/str.php?L2890

This change and many other improvements on the "usb" CUPS backend are included in the CUPS package of Precise (12.04) and for Oneiric (11.10) in the CUPS package in my PPA. See

https://launchpad.net/~till-kamppeter/+archive/ppa

for instructions on how to use my PPA as source for packages. The new CUPS package there is 1.5.2-4~ppa1. It contains many bug fixes, not only the improvements on the backend.

Ekimia (u-contact-ekimia-fr) wrote :

I till and thanks for your work.

Just tried with a Lexmark x2670 with your updated Cups on oneiric and no Luck , the problem seems to stay.

I didn't dig more actually.

Can you post your error_log again?

Ekimia, can you follow the instructions of the sections "USB printer", "CUPS error_log", and "Capturing print job data" on https://wiki.ubuntu.com/DebuggingPrintingProblems? Thanks.

simon james (sjames-vodamail) wrote :

I have a lexmark S301 that uses the same drivers as MrLeek. And I have the same problem described as above.I have ubuntu 12.04 installed. Do I have to follow the instructions still in post #32? Shall I supply more information regarding my problem?

Ekimia (u-contact-ekimia-fr) wrote :

Isn't the new cups in Ubuntu 12.04 correct this problem ?

is there another Bug where we should contribute that it's currently impossible to use a lexmark printer with ubuntu ?

simon james (sjames-vodamail) wrote :

Do I need to start a new bug? I am willing to. If I do not get any reply by Sunday I will start a new bug.

MrLeek (mrleek) wrote :

Well either way you (along with Ekimia) will need to follow the guidance in https://wiki.ubuntu.com/DebuggingPrintingProblems

What we don't know is if this is the same bug as the one I have - I got it working for a while as a network connection but that's decided to fail as well. If it's the same bug then that increases the chances of it getting fixed as it's affecting more than one person. The more data available, the greater the chance of getting this one fixed.

For me I'm planning to have another charge at this - I refuse to be beaten by this stupid problem and I won't see it pushing me back towards Windows. So I'll be trying post #32 and seeing where Till's work takes this problem.

However the same fundamental problem is still there. When I connect this printer up directly via USB, Ubuntu tells me that there's a bug:

"The action is not supported by this backend. Please report a bug as this should not have happened. Provides postscript-driver not supported"

Changed in cups (Ubuntu):
status: Incomplete → New
status: New → Incomplete

Can you please add my PPA to your system's software sources as described on

https://launchpad.net/~till-kamppeter/+archive/ppa

under "Adding this PPA to your system". Then update your system and you should get cups 1.5.2-9ubuntu1.1~ppa3. Cancel all jobs, turn off and turn on your printer and try to print. Does it work now?

Changed in cups (Ubuntu):
status: Incomplete → Fix Released
Changed in cups (Ubuntu Precise):
status: New → Fix Committed
importance: Undecided → High
Changed in cups (Ubuntu):
importance: Undecided → High
Changed in cups (Ubuntu Precise):
milestone: none → precise-updates
Martin Pitt (pitti) on 2012-05-25
tags: added: verification-needed
Changed in cups (Ubuntu):
status: Fix Released → Incomplete
Changed in cups (Ubuntu Precise):
status: Fix Committed → New
status: New → Incomplete
tags: removed: verification-needed
Changed in cups (Ubuntu Precise):
status: Incomplete → Fix Released
Changed in cups (Ubuntu Precise):
status: Fix Released → Incomplete
43 comments hidden view all 123 comments

Sorry, I have cut and paste too much. Do not test my new PPA version of CUPS with forced uni-directional mode. Only test with and without blacklisting the usblp kernel module.

Can you run the command

sudo chmod -x /lib/udev/udev-configure-printer

and after that do the tests again?

simon james (sjames-vodamail) wrote :

Tests after an update and a reinstall of driver:

1. Tried to print a document - failed (see error log no 1)

simon james (sjames-vodamail) wrote :

Next:

2. Test after a "sudo modprobe usblp"

printed a document (at around 18:49pm) - also failed (see error log no 2)

simon james (sjames-vodamail) wrote :

Next:

3. Test after a "sudo chmod -x /lib/udev/udev-configure-printer" (still with module usblp)

printed a document (at around 19:02pm) - also failed (see error log no 3)

simon james (sjames-vodamail) wrote :

4. Now removing module usblp "sudo rmmod usblp"

printed a document (at around 19:12pm) - also failed (see error log no 4)

simon james (sjames-vodamail) wrote :

In addition: I want to include the installation messages that always appear during the driver installation process. The first is a screenshot of the terminal command line messages:

simon james (sjames-vodamail) wrote :

The second screenshot is a warning message regarding a firewall setting that always appears during install of the lexmark drivers ( I don't have the firewall on as far as I know. )

simon james (sjames-vodamail) wrote :

Thanks for your work, Mr Till.

I am quite interested if Mr Leek or Ekimia get the same outcome to the tests as I do. Or is your printer now working fine?
Please respond.

Regards

Simon

Simon, thank you for testing. Can you repeat the tests after running

lpadmin -p Lexmark_S300S400_Series -R usb-unidir

This removes the forced uni-directional mode. Lexmark's proprietary driver needs bi-directional communication.

Don't worry about firewall warnings, this is a bug in Lexmark's installer, it probably does not recognize that you have no active firewall. The terminal warnings are also harmless and can be ignored.

simon james (sjames-vodamail) wrote :

Next round of Tests:

$ lpadmin -p Lexmark_S300S400_Series -R usb-unidir

1. Tried to print a document - failed (see error log no 1 printed at 17:30pm)

simon james (sjames-vodamail) wrote :

2. Test after a "sudo modprobe usblp" - unplug printer etc . . .

printed a document (at around 17:58 pm) - also failed (see error log no 2)

Thats all the tests I think.

Regards to all.

simon, all your jobs of comment #94 and comment #95 have "usb-unidir" arttributes. So the forced uni-directional mode was not stopped for you.

Sorry, I did not give the correct command to remove the forced uni-directional mode. Run the command

lpadmin -p Lexmark_S300S400_Series -R usb-unidir-default

Note the "-default" at the end. Look into your error_log and check whether you get a line containing "Deleting usb-unidir-default". After that, repeat your tests.

simon james (sjames-vodamail) wrote :

Ok I'm back. Had a hectic week.

Did the command

lpadmin -p Lexmark_S300S400_Series -R usb-unidir-default

Confirmed that there is a line "Deleting usb-unidir-default" (see error_log in zip file entry at 21:25:01)

Now for the test.

Sent a Document at 21:35 did not print yet (please see error_log2 in zip file)

Regards

Simon

simon james (sjames-vodamail) wrote :

Dear Till,

Just confirming my commitment to the cause.

I have moved my Lexmark Printer to my bedroom so that I will be able to do tests each evening when I go on to the net. Any changes will be tested within 24 hours.

Regards

I have the same problem with my Lexmark S505

I hope you will find the reason.
If I can help...

simon james (sjames-vodamail) wrote :

Please comment on the post on the 23 July 2012.

I found the error log 2 interesting. It seemed to show communication with the printer. Then inexplicably the setup crashed.

Regards and Enjoy Weekend. Will be watching the bug carefully.

Sorry for the late reply.

I have checked your error_log now and according to it the USB backend does its part correctly. Now one can see how the driver establishes a dialog with the printer through the backend. The segfault looks like a bug in the Lexmark driver for me. I have also established a dialog between driver and printer with /usr/lib/cups/filter/commandtops (PostScript printer maintenance driver) and a PostScript printer.

Perhaps the Lexmark driver is missing some error handling and robustness against timing deviations.

Lines in error_log2 of July 23 showing the dialog between driver and printer:

----------
[...]
D [23/Jul/2012:21:35:05 +0200] [Job 35] Device protocol: 2
I [23/Jul/2012:21:35:05 +0200] [Job 35] Sending data to printer.
D [23/Jul/2012:21:35:05 +0200] [Job 35] Set job-printer-state-message to "Sending data to printer.", current level=INFO
D [23/Jul/2012:21:35:05 +0200] [Job 35] Read 17 bytes of back-channel data...
[...]
D [23/Jul/2012:21:35:14 +0200] [Job 35] Read 8 bytes of print data...
D [23/Jul/2012:21:35:14 +0200] [Job 35] Wrote 8 bytes of print data...
D [23/Jul/2012:21:35:14 +0200] [Job 35] Read 512 bytes of back-channel data...
D [23/Jul/2012:21:35:14 +0200] [Job 35] Read 350 bytes of back-channel data...
D [23/Jul/2012:21:35:14 +0200] [Job 35] Read 9 bytes of print data...
D [23/Jul/2012:21:35:14 +0200] [Job 35] Wrote 9 bytes of print data...
D [23/Jul/2012:21:35:14 +0200] [Job 35] Read 9 bytes of back-channel data...
D [23/Jul/2012:21:35:14 +0200] [Job 35] Read 8 bytes of print data...
D [23/Jul/2012:21:35:14 +0200] [Job 35] Wrote 8 bytes of print data...
D [23/Jul/2012:21:35:14 +0200] [Job 35] Read 512 bytes of back-channel data...
D [23/Jul/2012:21:35:14 +0200] [Job 35] Read 350 bytes of back-channel data...
D [23/Jul/2012:21:35:18 +0200] [Job 35] Read 10 bytes of print data...
D [23/Jul/2012:21:35:18 +0200] [Job 35] Wrote 10 bytes of print data...
D [23/Jul/2012:21:35:18 +0200] [Job 35] Read 6 bytes of back-channel data...
D [23/Jul/2012:21:35:18 +0200] [Job 35] Read 10 bytes of print data...
D [23/Jul/2012:21:35:18 +0200] [Job 35] Wrote 10 bytes of print data...
D [23/Jul/2012:21:35:18 +0200] [Job 35] Read 6 bytes of back-channel data...
D [23/Jul/2012:21:35:21 +0200] [Job 35] Sent 45 bytes...
E [23/Jul/2012:21:35:21 +0200] PID 5732 (/usr/local/lexmark/legacy/bin/printfilter) crashed on signal 11.
D [23/Jul/2012:21:35:21 +0200] [Job 35] Waiting for read thread to exit...
D [23/Jul/2012:21:35:21 +0200] PID 5731 (/usr/lib/cups/filter/gstoraster) stopped with status 13.
D [23/Jul/2012:21:35:28 +0200] [Job 35] Read thread still active, aborting the pending read...
D [23/Jul/2012:21:35:29 +0200] [Job 35] Resetting printer.
D [23/Jul/2012:21:35:29 +0200] PID 5733 (/usr/lib/cups/backend/usb) exited with no errors.
D [23/Jul/2012:21:35:29 +0200] cupsdMarkDirty(-----S)
D [23/Jul/2012:21:35:29 +0200] cupsdSetBusyState: newbusy="Printing jobs and dirty files", busy="Printing jobs and dirty files"
E [23/Jul/2012:21:35:29 +0200] [Job 35] Job stopped due to filter errors; please consult the error_log file for details.
----------

simon james (sjames-vodamail) wrote :

Guys - I know this isn't a fix for ubuntu 12.04 but,

I have just installed openSuse kde 12.1 and Gnome 12.1 on my netbook and both work perfectly with the Lexmark drivers for my Lexmark 301s.

The Kernel is 3.1.0-1.2-default
The Cups version is 1.5.0

Dosn't this show that it is ubuntu and not cups or the kernel or the drivers that is causing the problem?

Regards

Bo Milanovich (deusdies) wrote :

I don't think it's an Ubuntu issue. I have the same problem with my Lexmark 2600 series, cups 1.6.1-5, Kernel 3.5.3-1, and I'm using Arch Linux.

Lorenzo (deodato-art) wrote :

I am also affected by this bug (I have a Lexmark X2690 and my OS is Ubuntu 12.04). Lexmark recently updated their driver, so I was hoping the issue had been corrected. However, even with the latest version (7/17/2012) the issue persists.

Ekimia (u-contact-ekimia-fr) wrote :

Hi I didn't follow all the work on this point.

Lexmark just say now that the X2670 is not compatile with 12.04.

I've read that some had success with cups 1.5.4 , can 1.5.4 have something more than 1.5.3 where it still fails ?

Ekimia (u-contact-ekimia-fr) wrote :

Edit : Yeah it seems http://www.cups.org/articles.php?L678 (Sorry for double post )

Maybe a PPA with 1.5.4 would solve the problem ,

All the fixes done in CUPS 1.5.4 are also done in 1.6.1 which is the version used by Quantal (12.10). Please try a live CD of Quantal. Does printing work with such a system for you?

Lorenzo (deodato-art) wrote :

I tried a 12.10 live cd; cups keep failing, although at least this time reports an error message. As you can see in the attachment (screenshot from the printer job properties right after it failed to print), the reason seems to be that the filter crashed.

simon james (sjames-vodamail) wrote :

I will download it as soon as the final is released and report back.

Ekimia (u-contact-ekimia-fr) wrote :

i'm just asking :

Did anyone try to downgrade cups to the Natty version ? maybe using a PPA ?

Would it be a solution ?

lexmark answered they won't update their filter, f... Y...

Lorenzo (deodato-art) wrote :

Ekimia: did you get this answer from Lexmark customer service? If they are not interested in fixing it, downgrading may be the only viable solution to get a working printer... may not be as trivial though, because the last versions that appeared to work were pre-1.5.

Ekimia (u-contact-ekimia-fr) wrote :

@Lorenzo : Yes and several times because as I sell Ubuntu computers, I have several clients with Lexmark printers that just cannot use it.

it's not always possible to downgrade ubuntu, like Intel Ivy bridge support.

I tried to downgrade CUPS to 1.4.X from Natty but it would just downgrade the whole Ubuntu desktop.

BTW : I successfully installed a x4650 (Same probleme as s405) on Ubuntu 12.04 over Wifi. I had to install the cups filter but it now works great.

So as I understood before , the issue seems to be only related to Usb/cups.

@Till : could you update the description and detail the USB stuff ? because your explanations are lost in comments.

simon james (sjames-vodamail) wrote :

Just want to report a success with my Lexmark S301 - but not with USB connection unfortunatly, so it wont help everyone.

I can print wirelessly with a fully updated ubuntu 12.04. I have the following setup.

I have a Samsung N130 which has an ath9k driver
I use hostadp to put my wireless adapter into master mode to turn my netbook into a router.
I setup a dhcp3 server to allocate network addresses to clients (ie the Lexmark printer)
I then installed the Lexmark driver and set it up using the wireless setup function instead of usb function.
After going through the Lexmark driver install. You then go to normal ubuntu "printing" program, search for your network printer, add the printer and print a test page.

For instructions on how I set up the hostadp and dhcp3-server see the following page:

http://thenewbieblog.wordpress.com/2012/05/01/ > (Just ignore the internet sharing section if it dosn't apply)

Regards

simon james (sjames-vodamail) wrote :

Question: Doesn't the fact that the wireless function works as per post #114. show that cups and the kernel are not the problem. The problem has to do with the usb interface libraries. What changed from ubuntu 11.04 to ubuntu 11.10 with the usb? Any thoughts?

Launchpad Janitor (janitor) wrote :

[Expired for cups (Ubuntu) because there has been no activity for 60 days.]

Changed in cups (Ubuntu):
status: Incomplete → Expired
simon james (sjames-vodamail) wrote :

Just to report that there are new drivers on the Lexmark South Africa Support that work for 12.04

please can you post the debs somewhere?
Le 13 déc. 2012 07:11, "simon james" <email address hidden> a écrit :

> Just to report that there are new drivers on the Lexmark South Africa
> Support that work for 12.04
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/902535
>
> Title:
> Unable to print to Lexmark S405 since upgrade to 11.10
>
> Status in “cups” package in Ubuntu:
> Expired
> Status in “cups” source package in Precise:
> Incomplete
>
> Bug description:
> Following the upgrade from 11.04 to 11.10 my Lexmark S405 now is
> unable to print.
>
> After removing all previous drivers (i.e. from a clean install of the
> printer), I have two options to proceed:
>
> If I connect the printer via USB and wait for "auto-detection", the
> system is able to determine that a Lexmark S405 has been added (and
> adds the printer as a "S300-S400-Series". However at the same time I
> get the following error message:
>
> "Not supported by this backend.
> The action is not supported by this backend. Please report a bug as this
> should not have happened. Provided postscript-driver not supported"
>
> The printer is added and does show up in CUPS. The device URI is given
> as:
> "://Lexmark/S300-S400%20Series?serial=90T409817388744&interface=1".
> Previously two packages were also added via the Software Centre (
> "lexmark-legacy-wsu (1.0-1)" and "lexmark-inkjet-legacy-wjre (1.0-1)"
> but my most recent attempt to rectify this fault was following updates
> to fix bug 897309. On this occasion (following the updated
> ghostscript) no software was added via the Software Centre.
>
> I also have the drivers from Lexmark (the second install option).
> These drivers will install (but if they detect either of the above
> mentioned packages then installation will fail) but, once you are
> prompted to connect the printer via USB the error message highlighted
> above also appears. The results from this approach is that two
> printers are installed...but neither of them work.
>
> Either method of installing the printer results in the same scenario -
> the printer is listed as "installed", but items in the print queue
> remain there without no response from the printer. A Test Page shows
> the printer as "Processing page 1" before eventually throwing an
> error.
>
> Incidentally it is possible to scan from the printer (it's an all-in-
> one printer) into Ubuntu, but it seems to be impossible to print out
> from Ubuntu. Also previous work suggested that this may be connected
> to bug 883585. Also, despite CUPS referring to itself as 1.5, the
> intro screen says "what's new in CUPS 1.4". The printer does show up
> in CUPS, but it seems to be impossible to carry out any maintenance on
> the printer within CUPS (but this may be my "newbie-ness" showing
> though).
>
>
> My first bug report so hope I've included everything!
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/cups/+bug/902535/+subscriptions
>

Changed in cups (Ubuntu):
status: Expired → Confirmed

The new lexmark driver for Ubuntu 12.04 has been published in september 2012 . Can you please test your SX05 ( 305, 405 etc...) with the 1.02 driver from lexmark ?

Here is the direct link for 64 bits

http://support.lexmark.com:80/lexmark/index?page=content&locale=FR&docLocale=en_US&segType=recommendedSegmentLINUX_UNIX&userlocale=FR_FR&id=DR21639

it only concerns seome printers :

Lexmark Interpret S409, Lexmark Prospect Pro209, Lexmark Impact S302, Lexmark Interact S608, Lexmark Prevail Pro702, Lexmark Interpret S405, Lexmark Prospect Pro205, Lexmark Intuition S505, Lexmark Impact S305, Lexmark Interact S602, Lexmark Intuition S508, Lexmark Intuition S502, Lexmark Impact S308, Lexmark Interpret S408, Lexmark Interpret S402, Lexmark Platinum Pro902, Lexmark Prestige Pro802, Lexmark Prevail Pro706, Lexmark Prospect Pro208, Lexmark Prospect Pro202, Lexmark Platinum Pro905, Lexmark Interact S605, Lexmark Prestige Pro805, Lexmark Prevail Pro705, Lexmark Pinnacle Pro901, Lexmark Platinum Pro908, Lexmark Prestige Pro808, Lexmark Interact S606, Lexmark Prevail Pro708, Lexmark Genesis S815, Lexmark Genesis S816, Lexmark Prevail Pro709, Lexmark Impact S301

If this works for a S405 , we will close this bug and open a new one for 08Z series

It does not concerns 2 printers (08Z) I still have problems on USB with :

- X4650

- X2650

summary: - Unable to print to Lexmark S405 since upgrade to 11.10
+ Unable to print with Lexmark S400 series since upgrade to 11.10
Lorenzo (deodato-art) wrote :

Ekimia is right, not all the drivers were updated. I have a X2690 and no driver for Ubuntu 12.04 is available.

Ekimia (u-contact-ekimia-fr) wrote :

So. it's been more than one year and the bug is still "incomplete" : it should at least became confirmed , isn't it ?

everybody confirmed that installating 1.5.4 resolve the lexmark filter problem.

Do you confirm ? What's keeping it from going into precise-backports at least ?

Andrea Sigoni (andrea-sigoni) wrote :

My understanding is that CUPS 1.5.4 might be the only way to make my Lexmark S405 working with Ubuntu 12.10
Could anybody tell me how to do that?

Lorenzo (deodato-art) wrote :

So, looks like the plan was to close this bug and open a new one for the older 08Z series (since Lexmark has produced working drivers for the more recent S405). Has this new bug report been opened? I cannot find it.

Displaying first 40 and last 40 comments. View all 123 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers